libogg documentation | libogg release 1.0 - 20000615

# ogg_stream_packetin

declared in "ogg/ogg.h";

This function takes a packet and submits it to the bitstream. After this is called, we can continue submitting packets, or we can write out pages.

In a typical decoding situation, this should be used after filling a packet with data

    int ogg_stream_packetin(ogg_stream_state *os,ogg_packet *op);

### Parameters

os
  Pointer to a previously declared ogg_stream_state struct.
op
  Pointer to the packet we are putting into the bitstream.

### Return Values

> - 0 is always returned.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg release 1.0 - 20000615